### Method

# FwupdPlugin Firmware get_image_by_gtype_bytes

#### Declaration [src]

    GBytes*
    fu_firmware_get_image_by_gtype_bytes (
      FuFirmware* self,
      GType gtype,
      GError** error
    )

#### Description [src]

Gets the firmware image bytes using the image `GType`.

Available since: | 1.9.3

#### Parameters

`gtype` | `GType`
| An image `GType`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GBytes`
| A `GBytes` of a `FuFirmware`, or `NULL` if the image is not found.
| The caller of the method takes ownership of the data, and is responsible for freeing it.